Bug 1644229 (CVE-2018-18557) - CVE-2018-18557 libtiff: Out-of-bounds write in tif_jbig.c
Summary: CVE-2018-18557 libtiff: Out-of-bounds write in tif_jbig.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-18557
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20181014,repor...
Depends On: 1644230 1647737 1647738
Blocks: 1644231
TreeView+ depends on / blocked
 
Reported: 2018-10-30 09:36 UTC by Andrej Nemec
Modified: 2019-08-06 19:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:19:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2053 None None None 2019-08-06 12:09:04 UTC

Description Andrej Nemec 2018-10-30 09:36:23 UTC
LibTIFF 4.0.9 (with JBIG enabled) decodes arbitrarily-sized JBIG into a buffer, ignoring the buffer size, which leads to a tif_jbig.c JBIGDecode out-of-bounds write.

Upstream MR:

https://gitlab.com/libtiff/libtiff/merge_requests/38

References:

https://bugs.chromium.org/p/project-zero/issues/detail?id=1697

Comment 1 Andrej Nemec 2018-10-30 09:37:13 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1644230]

Comment 5 Stefan Cornelius 2018-11-08 09:31:44 UTC
Statement:

This issue did not affect the versions of libtiff as shipped with Red Hat Enterprise Linux 5 and 6.

This issue affects the versions of libtiff as shipped with Red Hat Enterprise Linux 7.

Comment 6 errata-xmlrpc 2019-08-06 12:09:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2053 https://access.redhat.com/errata/RHSA-2019:2053

Comment 7 Product Security DevOps Team 2019-08-06 19:19:57 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-18557


Note You need to log in before you can comment on or make changes to this bug.